#
# spec file for package xorg-x11-Xvnc (Version 7.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           xorg-x11-Xvnc
%define xorg_version 1.1.0
%define vnc_version 4_1_2
Summary:        VNC Server for the X Window System
Version:        7.1
Release:        33.5
Url:            http://xorg.freedesktop.org/
%if %suse_version <= 1010
Provides:       XFree86-Xvnc
%endif
Requires:       xorg-x11-fonts-core
Source0:        http://www.realvnc.com/dist/vnc-%{vnc_version}-unixsrc.tar.gz
Source2:        xorg-server-%{xorg_version}.tar.bz2
Patch1:         vnc-gcc4.patch
Patch2:         vnc-use-fb.patch
Patch4:         vnc-idle.patch
Patch5:         vnc-via.patch
Patch7:         vnc-fPIC.patch
Patch8:         vnc-restart.patch
Patch9:         vnc-vncpasswd.patch
Patch10:        vnc-def.patch
Patch11:        vnc-modular-xorg.patch
Patch13:        vnc-fontpath.patch
Patch14:        vnc-s390.patch
Patch15:        vnc-viewer-reparent.patch
Patch16:        vnc-64bit.patch
Patch17:        vnc-select.patch
Patch19:        vnc-ppc64.patch
Patch20:        vnc-opengl.patch
Patch22:        64bit.diff
Patch23:        bug-243978_xcmisc.diff
License:        GPL v2 or later
Group:          System/X11/Servers/XF86_4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  Mesa-devel expat freetype2-devel gcc-c++ libjpeg-devel pkgconfig xorg-x11-devel

%description
An X Window System server for Virtual Network Computing (VNC).



%debug_package
%prep
%setup -q -n vnc-%{vnc_version}-unixsrc
pushd unix
bzip2 -dc %{SOURCE2} | tar -xkf - || :
popd
%patch1 -p1 -b .gcc4
%patch2 -p1 -b .use-fb
%patch4 -p1 -b .idle
%patch5 -p1 -b .via
%patch7 -p1 -b .fPIC
%patch8 -p1 -b .restart
%patch9 -p1 -b .vncpasswd
%patch10 -p1 -b .def
%patch11 -p1 -b .modular-xorg
pushd unix/xorg-server-*
%patch13 -p3 -b .fontpath
%patch14 -p3 -b .s390
%patch23 -p0
popd
%patch15 -p1 -b .viewer-reparent
%patch16 -p1 -b .64bit
%patch17 -p1 -b .select
%patch19 -p1 -b .ppc64
%patch20 -p1 -b .opengl
%patch22 -p0 -b .64bit
cp -a unix/xc/programs/Xserver/vnc/Xvnc/xvnc.cc \
      unix/xc/programs/Xserver/Xvnc.man \
      unix/xc/programs/Xserver/vnc/*.{h,cc} \
      unix/xorg-server-*/hw/vnc/
cp -a unix/xorg-server-*/{cfb/cfb.h,hw/vnc}
cp -a unix/xorg-server-*/{fb/fb.h,hw/vnc}
cp -a unix/xorg-server-*/{fb/fbrop.h,hw/vnc}
sed -i -e 's,xor,c_xor,' -e 's,and,c_and,' \
	unix/xorg-server-*/hw/vnc/{cfb,fb,fbrop}.h

%build
cd common
%configure --with-installed-zlib
make
cd ../unix/xorg-server-*
autoreconf -fi
%configure --enable-xorg \
        --disable-dependency-tracking \
        --disable-xprint \
        --disable-static \
        --enable-composite \
        --with-os-name="openSUSE" \
        --with-os-vendor="SUSE LINUX" \
        --with-fontdir="/usr/share/fonts" \
        --with-xkb-path="/usr/share/X11/xkb" \
        --with-xkb-output=/var/lib/xkb/compiled \
        --with-rgb-path=%{_datadir}/X11/rgb \
        --disable-xorgcfg \
	--disable-dmx \
        --disable-lbx \
	--enable-xdmcp \
	--disable-xevie \
	--disable-dri \
	--with-int10=stub
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
cd unix
mkdir -p $RPM_BUILD_ROOT/%{_bindir} \
         $RPM_BUILD_ROOT/%{_mandir}/man1 \
         $RPM_BUILD_ROOT/%{_libdir}/xorg/modules/extensions
install -m 755 xorg-server-*/hw/vnc/Xvnc $RPM_BUILD_ROOT/%{_bindir}
install -m 644 xorg-server-*/hw/vnc/Xvnc.man $RPM_BUILD_ROOT/%{_mandir}/man1/Xvnc.1
%ifnarch s390 s390x
install -m 755 xorg-server-*/hw/vnc/.libs/libvnc.so \
               $RPM_BUILD_ROOT/%{_libdir}/xorg/modules/extensions
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE.txt README
%ifnarch s390 s390x
%dir %{_libdir}/xorg
%dir %{_libdir}/xorg/modules
%dir %{_libdir}/xorg/modules/extensions
%endif
%{_bindir}/Xvnc
%{_mandir}/man1/Xvnc.1*
%ifnarch s390 s390x
%{_libdir}/xorg/modules/extensions/libvnc.so
%endif

%changelog
* Thu Apr 12 2007 - sndirsch@suse.de
- bug-243978_xcmisc.diff:
  * mem corruption in ProcXCMiscGetXIDList (CVE-2007-1003,
  Bug #243978/261141)
* Wed Jan 03 2007 - sndirsch@suse.de
- Use properly configured libtool (Bug #224026)
* Thu Nov 02 2006 - sndirsch@suse.de
- added Requires: xorg-x11-fonts-core (Bug #217336)
* Wed Aug 16 2006 - sndirsch@suse.de
- fixed fontpath
- cleanup: spefile, removed unnecessary patches
* Wed Aug 09 2006 - sndirsch@suse.de
- created package
